## org.gnu.gtk
Class SpinType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SpinType

public class SpinType
extends Enum

A property used to determine how to sping a `SpinButton` widget. todo: docs GTK_SPIN_STEP_FORWARD, GTK_SPIN_STEP_BACKWARD, GTK_SPIN_PAGE_FORWARD, GTK_SPIN_PAGE_BACKWARDThese values spin a GtkSpinButton by the relevant values of the spin button's GtkAdjustment.GTK_SPIN_HOME, GTK_SPIN_ENDThese set the spin button's value to the minimum or maxmimum possible values, (set by it's GtkAdjustment), respectively.GTK_SPIN_USER_DEFINEDThe programmer must specify the exact amount to spin the GtkSpinButton.

See Also:
  `SpinButton`

Field Summary
`static SpinType` `END`
`static SpinType` `HOME`
`static SpinType` `PAGE_BACKWARD`
`static SpinType` `PAGE_FORWARD`
`static SpinType` `STEP_BACKWARD`
`static SpinType` `STEP_FORWARD`
`static SpinType` `USER_DEFINED`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SpinType` `and(SpinType other)`
`static SpinType` `intern(int value)`
`SpinType` `or(SpinType other)`
`boolean` `test(SpinType other)`
`SpinType` `xor(SpinType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEP_FORWARD

    public static final SpinType STEP_FORWARD

### STEP_BACKWARD

    public static final SpinType STEP_BACKWARD

### PAGE_FORWARD

    public static final SpinType PAGE_FORWARD

### PAGE_BACKWARD

    public static final SpinType PAGE_BACKWARD

### HOME

    public static final SpinType HOME

### END

    public static final SpinType END

### USER_DEFINED

    public static final SpinType USER_DEFINED

Method Detail

### intern

    public static SpinType intern(int value)

### or

    public SpinType or(SpinType other)

### and

    public SpinType and(SpinType other)

### xor

    public SpinType xor(SpinType other)

### test

    public boolean test(SpinType other)